-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #	
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- ############################################################################

----------------------------------------------------------------
--RUN INSTRUCTIONS:
--    1. Open a DB2 command window.
--    2. Connect to TWH_MART database by using the following command:
--	 db2 connect to twh_mart user <db_user> using <db_password>
--	 where 	 <db_user>, <db_password> specify datbase user and password
--    2. Enter the following command
--      
--       db2 -f aws_update_start_delay_mart.db2 -t -r output.txt -l errorlog.txt
--
--       Note: aws_update_start_delay_mart.db2 is the name of this file.
--             output.txt   is the output report filename.
--             errorlog.txt is the error log filename.
--
----------------------------------------------------------------

update Aws.F_RunTimes_Day Fact set
Fact.Avg_Value = 
31536000*integer(Fact.Avg_Value/10000000000) + 
case char(length(rtrim(char(integer(Fact.Avg_Value/100000000))))) when '1' then 2592000*integer(Fact.Avg_Value/100000000) else 2592000*integer(substr(rtrim(char(integer(Fact.Avg_Value/100000000))),length(rtrim(char(integer(Fact.Avg_Value/100000000))))-1,2)) end + 
case char(length(rtrim(char(integer(Fact.Avg_Value/1000000))))) when '1' then 86400*integer(Fact.Avg_Value/1000000) else 86400*integer(substr(rtrim(char(integer(Fact.Avg_Value/1000000))),length(rtrim(char(integer(Fact.Avg_Value/1000000))))-1,2)) end + 
case char(length(rtrim(char(integer(Fact.Avg_Value/10000))))) when '1' then 3600*integer(Fact.Avg_Value/10000) else 3600*integer(substr(rtrim(char(integer(Fact.Avg_Value/10000))),length(rtrim(char(integer(Fact.Avg_Value/10000))))-1,2)) end + 
case char(length(rtrim(char(integer(Fact.Avg_Value/100))))) when '1' then 60*integer(Fact.Avg_Value/100) else 60*integer(substr(rtrim(char(integer(Fact.Avg_Value/100))),length(rtrim(char(integer(Fact.Avg_Value/100))))-1,2)) end + 
case char(length(rtrim(char(integer(Fact.Avg_Value))))) when '1' then integer(Fact.Avg_Value) else integer(substr(rtrim(char(integer(Fact.Avg_Value))),length(rtrim(char(integer(Fact.Avg_Value))))-1,2)) end
where exists (select 1 from Aws.D_RunTimes_Metric Metric where Metric.Met_Name='Start Delay' and Metric.Metric_Id=Fact.Metric_Id);


-- done.